Subject: bug#26604: closed (Re: bug#26604: documentation: pdf generation is broken)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 23 May 2021 15:18:01 +0000

Your bug report

#26604: documentation: pdf generation is broken

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26604: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26604
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26604: documentation: pdf generation is broken
From: Marius Bakke <[email-masked]>
To: zimoun <[email-masked]>, Ricardo Wurmus <[email-masked]>
Cc: [email-masked]
Date: Sun, 23 May 2021 17:17:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

zimoun <[email-masked]> skriver:

> Hi,
>
> On Tue, 4 May 2021 at 12:04, Ricardo Wurmus <[email-masked]> wrote:
>
>> At least the first “wizard stuff” is merely a list of packages.
>> There isn’t anything we can do to avoid the selection of packages,
>> because that stuff is modular by design.  We could have an
>> arbitrary collection of Texlive packages, but I’m sure we can’t
>> agree on any good set because what exactly is needed depends on
>> the document.
>
> [...]
>
>> If the problem is in figuring out what Texlive packages to install
>> for generating the Guix manual: we can either document that or add
>> the required packages to the inputs.
>
> I agree.  Maybe via a manifest file?
>
>> If you still get errors relating to fonts or font maps: this has
>> been fixed on the “master” branch; the texlive-configuration
>> profile hook didn’t update the font maps.
>
> Cool!  I have missed.
>
> Well, let close this old bug. \o/

Agreed, closing!

Subject: documentation: pdf generation is broken
From: ng0 <[email-masked]>
To: [email-masked]
Date: Sat, 22 Apr 2017 11:09:47 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

As long as I run guix I was never able to build the documentation
as pdf. What's wrong with it?

[user@abyayala ~/src/guix/guix]$ make doc/guix.pdf
  TEXI2PDF doc/guix.pdf
  /gnu/store/jz7jq4w8d4czvgnk9as07rrdbcfjjgjj-profile/bin/texi2dvi: pdftex exited with bad status, quitting.
  make: *** [Makefile:3591: doc/guix.pdf] Error 1

-- 
PGP and more: https://people.pragmatique.xyz/ng0/